get_graph_info {DiagrammeR} | R Documentation

## Get metrics for a graph

### Description

Get a data frame with metrics for a graph.

### Usage

    get_graph_info(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a data frame containing metrics pertaining to the graph

### Examples

    ## Not run:
    # Import a GML graph file available
    # in the DiagrammeR package
    karate_club <-
      system.file(
        "extdata", "karate.gml",
        package = "DiagrammeR") %>%
      import_graph() %>%
      set_graph_name("karate")

    # Display a data frame with
    # graph information
    karate_club %>%
      get_graph_info()

    ## End(Not run)

[Package DiagrammeR version 1.0.1 Index]